Bug 296221 - CVE-2007-4974 Heap overflow in libsndfile triggerable by seeks
CVE-2007-4974 Heap overflow in libsndfile triggerable by seeks
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libsndfile (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
https://bugs.gentoo.org/show_bug.cgi?...
source=vendorsec,impact=low,reported=...
: Security
Depends On:
Blocks: CVE-2007-4974
  Show dependency treegraph
 
Reported: 2007-09-19 09:24 EDT by Lubomir Kundrak
Modified: 2008-01-28 09:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0.17-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 14:00:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-19 09:24:10 EDT
Description of problem:

To quote Robert Buchholz of Gentoo:

The issue was already known upstream and a change in 
libsndfile-1.0.18pre17 [2] addressed it, but does not fix it robustly. 
Attached is a fix for 1.0.17 (line numbers are including Gentoo's FLAC 
patches [3]) that was approved by upstream.

[2] http://www.mega-nerd.com/tmp/libsndfile-1.0.18pre17.tar.gz
[3] 
http://distfiles.gentoo.org/distfiles/libsndfile-1.0.17+flac-1.1.3.patch.bz2

Additional info:

See URL for mor details. A CVE identifier for this issue was already requested.
Comment 1 Fedora Update System 2007-09-24 14:00:26 EDT
libsndfile-1.0.17-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.